<?php
include 'config/config.php';
error_reporting(0);

// DARI POST
$tanggal_awal   = @$_GET['tanggal_awal'];
$tanggal_akhir  = @$_GET['tanggal_akhir'];
$tahun_akhir    = substr($tanggal_akhir, 0,4);

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();
$sql = "SELECT  SQL_CALC_FOUND_ROWS 
          tbl_karyawan.id_karyawan, 
          tbl_karyawan.nm_karyawan, 
          tbl_karyawan.id_divisi, 
          tbl_karyawan.id_pendidikan, 
          tbl_divisi.nm_divisi, 
          tbl_divisi.bbt_divisi, 
          tbl_pendidikan.pendidikan, 
          tbl_pendidikan.bbt_pendidikan, 
          tbl_kuesioner_hasil.hasil, 
          tbl_karyawan_maker.tgl_masuk, 
          (
            CASE WHEN tbl_karyawan_maker.tgl_resign = '0000-00-00' THEN CURDATE() ELSE tbl_karyawan_maker.tgl_resign END
          ) as tgl_keluar, 
          (
            FLOOR(
              PERIOD_DIFF(
                DATE_FORMAT(
                  CASE WHEN tbl_karyawan_maker.tgl_resign = '0000-00-00' THEN CURDATE() ELSE tbl_karyawan_maker.tgl_resign END, 
                  '%Y%m'
                ), 
                DATE_FORMAT(
                  tbl_karyawan_maker.tgl_masuk, '%Y%m'
                )
              )/ 12
            )
          ) as total_masa_kerja,
           (
                SELECT 
                    COUNT(*) as total_hadir 
                FROM 
                    tbl_karyawan_absensi 
                WHERE 
                    (YEAR(tbl_karyawan_absensi.tgl_absen) BETWEEN  '$tanggal_awal' AND '$tanggal_akhir' ) AND (tbl_karyawan_absensi.id_karyawan=tbl_karyawan.id_karyawan)
            ) as total_hadir
        FROM 
            tbl_karyawan 
        INNER JOIN tbl_divisi ON tbl_karyawan.id_divisi = tbl_divisi.id_divisi 
        INNER JOIN tbl_pendidikan ON tbl_karyawan.id_pendidikan = tbl_pendidikan.id_pendidikan 
        INNER JOIN tbl_kuesioner_hasil ON tbl_karyawan.id_karyawan = tbl_kuesioner_hasil.id_karyawan 
        INNER JOIN tbl_karyawan_maker ON tbl_karyawan.id_karyawan = tbl_karyawan_maker.id_karyawan 
        WHERE 
            (YEAR(tbl_kuesioner_hasil.waktu) BETWEEN  '$tanggal_awal' AND '$tanggal_akhir' ) 
        GROUP BY  
            tbl_karyawan.id_karyawan";

$result = $mysqli->query($sql);
$total  = $result->num_rows;
$karyawan = array();

$total_c1 = 0;
$total_c2 = 0;
$total_c3 = 0;
$total_c4 = 0;
$total_c5 = 0;

$bobot_c1   = CariBobotKriteria("C1"); // 2
$bobot_c2   = CariBobotKriteria("C2"); // 3 
$bobot_c3   = CariBobotKriteria("C3"); // 2
$bobot_c4   = CariBobotKriteria("C4"); // 3 
$bobot_c5   = CariBobotKriteria("C5"); // 5

if($total > 0){

	$data_karyawan = $result->fetch_assoc();

    while($row = $result->fetch_assoc())
    {
        $total_c1 = $total_c1 + $row['bbt_divisi'];
        $total_c2 = $total_c2 + HitungJumlahAbsensi($row['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =true);
        $total_c3 = $total_c3 + HitungMasaKerja($row['total_masa_kerja'], $bobot =true);
        $total_c4 = $total_c4 + $row['bbt_pendidikan'];
        $total_c5 = $total_c5 + HitungHasilKinerjaSetahun($row['hasil'], $bobot =true);

        $hasil_c1 = ($bobot_c1 * $row['bbt_divisi']);
        $hasil_c2 = ($bobot_c2 * HitungJumlahAbsensi($row['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =true));
        $hasil_c3 = ($bobot_c3 * HitungMasaKerja($row['total_masa_kerja'], $bobot =true));
        $hasil_c4 = ($bobot_c4 * $row['bbt_pendidikan']);
        $hasil_c5 = ($bobot_c5 * HitungHasilKinerjaSetahun($row['hasil'], $bobot =true));

        $nilai          = ($hasil_c1 + $hasil_c2 + $hasil_c3 + $hasil_c4 + $hasil_c5);
        $id_karyawan    = $row['id_karyawan'];

        // AMBIL DATA DARI TABEL
        $sql = "SELECT id_hasil FROM tbl_hasil WHERE tahun='$tahun_akhir' AND id_karyawan='$id_karyawan'";
                            
        $result2 = $mysqli->query($sql);
        $total  = $result2->num_rows;

        if($total > 0)
        {
            $row        = $result2->fetch_assoc();
            $id_hasil   = $row['id_hasil'];

            $sql = "UPDATE tbl_hasil SET nilai='$nilai' WHERE id_hasil='$id_hasil'";
            $result3 = $mysqli->query($sql);

        } else {

            $sql = "INSERT INTO tbl_hasil (id_hasil, id_karyawan, tahun, nilai) VALUES('', '$id_karyawan', '$tahun_akhir', '$nilai')";
            $result3 = $mysqli->query($sql);
        }

        
    }
}

// DATA KARYAWAN
$sql_data_karyawan = "SELECT  SQL_CALC_FOUND_ROWS 
			          tbl_karyawan.id_karyawan, 
			          tbl_karyawan.nm_karyawan, 
			          tbl_karyawan.id_divisi, 
			          tbl_karyawan.id_pendidikan, 
			          tbl_divisi.nm_divisi, 
			          tbl_divisi.bbt_divisi, 
			          tbl_pendidikan.pendidikan, 
			          tbl_pendidikan.bbt_pendidikan, 
			          tbl_kuesioner_hasil.hasil, 
			          tbl_karyawan_maker.tgl_masuk, 
			          (
			            CASE WHEN tbl_karyawan_maker.tgl_resign = '0000-00-00' THEN CURDATE() ELSE tbl_karyawan_maker.tgl_resign END
			          ) as tgl_keluar, 
			          (
			            FLOOR(
			              PERIOD_DIFF(
			                DATE_FORMAT(
			                  CASE WHEN tbl_karyawan_maker.tgl_resign = '0000-00-00' THEN CURDATE() ELSE tbl_karyawan_maker.tgl_resign END, 
			                  '%Y%m'
			                ), 
			                DATE_FORMAT(
			                  tbl_karyawan_maker.tgl_masuk, '%Y%m'
			                )
			              )/ 12
			            )
			          ) as total_masa_kerja,
			           (
			                SELECT 
			                    COUNT(*) as total_hadir 
			                FROM 
			                    tbl_karyawan_absensi 
			                WHERE 
			                    (YEAR(tbl_karyawan_absensi.tgl_absen) BETWEEN  '$tanggal_awal' AND '$tanggal_akhir' ) AND (tbl_karyawan_absensi.id_karyawan=tbl_karyawan.id_karyawan)
			            ) as total_hadir
			        FROM 
			          tbl_karyawan 
			          INNER JOIN tbl_divisi ON tbl_karyawan.id_divisi = tbl_divisi.id_divisi 
			          INNER JOIN tbl_pendidikan ON tbl_karyawan.id_pendidikan = tbl_pendidikan.id_pendidikan 
			          INNER JOIN tbl_kuesioner_hasil ON tbl_karyawan.id_karyawan = tbl_kuesioner_hasil.id_karyawan 
			          INNER JOIN tbl_karyawan_maker ON tbl_karyawan.id_karyawan = tbl_karyawan_maker.id_karyawan 
			           WHERE (YEAR(tbl_kuesioner_hasil.waktu) BETWEEN  '$tanggal_awal' AND '$tanggal_akhir' ) 
			           GROUP BY  tbl_karyawan.id_karyawan 
			          ";
$result_data_karyawan = $mysqli->query($sql_data_karyawan);
$total_data_karyawan  = $result_data_karyawan->num_rows;
$data_karyawan = array();

if($total_data_karyawan > 0){
    while($row = $result_data_karyawan->fetch_assoc()){
        $data_karyawan[] = $row;
    }
}

// START SORT
$sortArray = array();

foreach($data_karyawan as $person){
    foreach($person as $key=> $value){
        if(!isset($sortArray[$key])){
            $sortArray[$key] = array();
        }
        $sortArray[$key][] = $value;
    }
} 

$orderby = "nilai";

if(!empty($sortArray)){
    array_multisort($sortArray[$orderby], SORT_DESC, $data_karyawan); 
}
// END SORT

$sQuery = "SELECT 
              SQL_CALC_FOUND_ROWS tbl_hasil.*, tbl_karyawan.nm_karyawan, tbl_divisi.nm_divisi
          FROM 
            tbl_hasil 
            INNER JOIN tbl_karyawan ON tbl_karyawan.id_karyawan = tbl_hasil.id_karyawan
            INNER JOIN tbl_divisi ON tbl_divisi.id_divisi = tbl_karyawan.id_divisi
           WHERE tbl_hasil.tahun='$tahun_akhir' 
           ORDER BY tbl_hasil.nilai DESC
          ";
$result_sQuery = $mysqli->query($sQuery);
$total_sQuery  = $result_sQuery->num_rows;
$data_sQuery = array();

if($total_sQuery > 0){
    while($row = $result_sQuery->fetch_assoc()){
        $data_sQuery[] = $row;
    }
}


// TUTUP KONEKSI DATABASE
//$db->tutup_db($mysqli);
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Cetak Hasil Pengolahan Data</title>
	<style type="text/css">
		body {
		  background: #FFFFFF;
		  font-size: 12pt;
		  margin:0 auto;
		    -webkit-print-color-adjust: exact !important;
		}
		table{
			width: 100%;
			border-collapse:collapse;
			font-size: 12pt;
		}
		table tr td{
			border-collapse:collapse;
			font-size: 12pt;
		}
		table thead th{
			background: lightgray;
		}
		@media print{
			body {
			  font-size: 6pt;
			  margin:0 auto;
			-webkit-print-color-adjust: exact !important;
			}
			table{
				width: 100%;
				border-collapse:collapse;
				font-size: 8pt;
			}
			table tr td{
				border-collapse:collapse;
				font-size: 8pt;
			}
			table thead th{
				background: lightgray;
			}
				
		}
	</style>
	<script type="text/javascript">
		window.print();
	</script>
</head>
<body>
	<page size="A4">
		<p><strong>HASIL PENGOLAHAN DATA</strong></p>
		<h3>DATA KARYAWAN</h3>
		<table  border="1">
		    <thead>
		        <tr>
		            <th>ID</th>
		            <th>Alternatif</th>
		            <th>C1</th>
		            <th>C2</th>
		            <th>C3</th>
		            <th>C4</th>
		            <th>C5</th>
		        </tr>
		    </thead>
		    <tbody>
		    	<?php
		    	foreach($data_karyawan as $dk)
		    	{
		    		echo '<tr>
		    				<td>'.$dk['id_karyawan'].'</td>
		    				<td>'.$dk['nm_karyawan'].'</td>
		    				<td>'.$dk['nm_divisi'].'</td>
		    				<td>'.HitungJumlahAbsensi($dk['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =false).'</td>
		    				<td>'.HitungMasaKerja($dk['total_masa_kerja'], $bobot =false).'</td>
		    				<td>'.$dk['pendidikan'].'</td>
		    				<td>'.HitungHasilKinerjaSetahun($dk['hasil'], $bobot =false).'</td>
		    			</tr>';
		    	}
		    	?>
		    </tbody>
		</table>

		<h3>RATING KECOCOKAN</h3>
		<table  border="1">
		    <thead>
		        <tr>
		            <th>ID</th>
		            <th>Alternatif</th>
		            <th>C1</th>
		            <th>C2</th>
		            <th>C3</th>
		            <th>C4</th>
		            <th>C5</th>
		        </tr>
		    </thead>
		    <tbody>
		    	<?php
		    	$total_c1 = 0;
		    	$total_c2 = 0;
		    	$total_c3 = 0;
		    	$total_c4 = 0;
		    	$total_c5 = 0;
		    	foreach($data_karyawan as $dk)
		    	{	
		    		$x1 = $dk['bbt_divisi'];
		    		$x2 = HitungJumlahAbsensi($dk['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =true);
		    		$x3 = HitungMasaKerja($dk['total_masa_kerja'], $bobot =true);
		    		$x4 = $dk['bbt_pendidikan'];
		    		$x5 = HitungHasilKinerjaSetahun($dk['hasil'], $bobot =true);

		    		echo '<tr>
		    				<td>'.$dk['id_karyawan'].'</td>
		    				<td>'.$dk['nm_karyawan'].'</td>
		    				<td>'.$x1.'</td>
		    				<td>'.$x2.'</td>
		    				<td>'.$x3.'</td>
		    				<td>'.$x4.'</td>
		    				<td>'.$x5.'</td>
		    			</tr>';
		    		$total_c1 = $total_c1 + $x1;
		    		$total_c2 = $total_c2 + $x2;
		    		$total_c3 = $total_c3 + $x3;
		    		$total_c4 = $total_c4 + $x4;
		    		$total_c5 = $total_c5 + $x5;

		    	}
		    	?>
		    </tbody>    
		    <tfoot>
		        <tr>
		            <th colspan="2">Jumlah</th>
		            <th style="text-align:left;"><?php echo $total_c1;?></th>
		            <th style="text-align:left;"><?php echo $total_c2;?></th>
		            <th style="text-align:left;"><?php echo $total_c3;?></th>
		            <th style="text-align:left;"><?php echo $total_c4;?></th>
		            <th style="text-align:left;"><?php echo $total_c5;?></th>
		        </tr>
		    </tfoot>
		</table>



		<h3>PERHITUNGAN NORMALISASI</h3>
		<table border="1">
		    <thead>
		        <tr>
		            <th>ID</th>
		            <th>Alternatif</th>
		            <th>C1</th>
		            <th>C2</th>
		            <th>C3</th>
		            <th>C4</th>
		            <th>C5</th>
		        </tr>
		    </thead>
		    <tbody>
		    	<?php
		    	foreach($data_karyawan as $dk)
		    	{
		    		echo '<tr>
		    				<td>'.$dk['id_karyawan'].'</td>
		    				<td>'.$dk['nm_karyawan'].'</td>
		    				<td>'.($dk['bbt_divisi'] / $total_c1).'</td>
		    				<td>'.(HitungJumlahAbsensi($dk['total_hadir'], $tanggal_awal, $tanggal_akhir, $bobot =true) / $total_c2).'</td>
		    				<td>'.(HitungMasaKerja($dk['total_masa_kerja'], $bobot =true) / $total_c3).'</td>
		    				<td>'.($dk['bbt_pendidikan'] / $total_c4).'</td>
		    				<td>'.(HitungHasilKinerjaSetahun($dk['hasil'], $bobot =true) / $total_c5).'</td>
		    			</tr>';
		    	}
		    	?>
		    </tbody>
		</table>


		<div class="row">
		    <div class="col-md-6">
		        <h3>NILAI RANGKING</h3>
		        <table border="1">
		            <thead>
		                <tr>
		                    <th>ID</th>
		                    <th>Alternatif </th>
		                    <th>Divisi </th>
		                    <th>Nilai</th>
		                </tr>
		            </thead>
		            <tbody>
		            	<?php
		            	foreach($data_sQuery as $nr){
		            		echo '<tr>
		            		<td>'.$nr['id_karyawan'].'</td>
		            		<td>'.$nr['nm_karyawan'].'</td>
		            		<td>'.$nr['nm_divisi'].'</td>
		            		<td>'.$nr['nilai'].'</td>
		            		</tr>';
		            	}
		            	?>
		            </tbody>
		        </table>
		    </div>
		    <div class="col-md-6">

		    </div>
		</div>
	</page>
</body>
</html>