<?php
extract($_REQUEST);

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();


// AMBIL DATA KARYAWAN
$sql    = "SELECT id_karyawan, nm_karyawan FROM tbl_karyawan ORDER BY nm_karyawan ASC";
$result = $mysqli->query($sql);
$total  = $result->num_rows;
$karyawan = array();

if($total > 0){
    while($row = $result->fetch_assoc()){
        $karyawan[] = $row;
    }
}

$pesan = "";
$id_karyawan= @$_POST['id_karyawan'];
$tgl_masuk  = (empty(@$_POST['tgl_masuk']) ? '' : dateSql(@$_POST['tgl_masuk']));
$tgl_resign = (empty(@$_POST['tgl_resign']) ? '' : dateSql(@$_POST['tgl_resign']));

if(@$_POST['submit'])
{
    // VALIDASI FORM
    if(empty(trim(@$_POST['id_karyawan'])))
    {
        $pesan .= "Nama karyawan wajib diisi!";

    } else if(empty(trim(@$_POST['tgl_masuk']))){
        $pesan .= "Tanggal masuk wajib diisi!";

    } else {

        // AMBIL DATA DARI TABEL
        $sql = "SELECT id_karyawan_maker FROM tbl_karyawan_maker WHERE id_karyawan='$id_karyawan'";
                            
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;

        if($total > 0)
        {
            $pesan .= "Data karyawan sudah terdapat didalam sistem!";
        } else {

            $sql = "INSERT INTO tbl_karyawan_maker (id_karyawan_maker, id_karyawan, tgl_masuk, tgl_resign) VALUES('', '$id_karyawan', '$tgl_masuk', '$tgl_resign')";
            $result = $mysqli->query($sql);

            // TAMPILKAN PESAN
            $_SESSION['judul_pesan']    = "Tersimpan!";
            $_SESSION['isi_pesan']      ="Data berhasil disimpan!";

            echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=karyawan-maker'>";
        }
    }
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);

?>
<div class="box" id="about">
    <div class="box-title">
        <h4>Tambah Masa Kerja <i class="fa fa-plus pull-right"></i></h4>
    </div>
    <div class="box-content">
    	<div class="row">
            <div class="col-md-6">
                <form method="post" action="#">
                    <div class="form-group"><?php echo ($pesan ? '<div class="alert alert-danger">'.$pesan.'</div>' : "");?></div>
                     <div class="form-group">
                        <label>Nama Karyawan <small class="text-danger">*</small></label>
                        <div>
                            <select name="id_karyawan" class="form-control select2">
                                <option value="">- Pilih Karyawan -</option>
                                <?php 
                                foreach($karyawan as $row)
                                {
                                    if($id_karyawan == $row['id_karyawan']){
                                        echo '<option value="'.$row['id_karyawan'].'" selected="selected">'.$row['nm_karyawan'].'</option>';
                                    } else {
                                        echo '<option value="'.$row['id_karyawan'].'">'.$row['nm_karyawan'].'</option>';
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Tanggal Masuk <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="tgl_masuk" class="form-control tanggal" data-date-format="dd/mm/yyyy" autocomplete="off" placeholder="Masukkan tanggal masuk" value="<?php echo ($tgl_masuk=="" ? "" : dateSlash($tgl_masuk));?>" maxlength="10">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Tanggal Resign</label>
                        <div>
                            <input type="text" name="tgl_resign" class="form-control tanggal" data-date-format="dd/mm/yyyy" autocomplete="off" placeholder="Masukkan tanggal resign" value="<?php echo ($tgl_resign=="" ? "" : dateSlash($tgl_resign));?>" maxlength="10">
                        </div>
                    </div>
                    <div class="form-group">
                        <p><strong><small class="text-danger">(*)</small> Wajib Diisi.</strong></p>
                        <hr>
                        
                        <button class="btn btn-primary" type="submit" name="submit" value="submit" title="Simpan">
                            <i class="fa fa-save"></i> Simpan
                        </button>
                        <a href="<?php echo BASE_URL;?>?p=karyawan-maker" title="Batal" class="btn btn-default"><i class="fa fa-reply"></i> Batal</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<script>

    $(document).ready(function() {

        $(".select2").select2();

        $('.tanggal').datepicker({
          autoclose: true
        });


        $('.decimal').keyup(function(){
            var val = $(this).val();
            if(isNaN(val)){
                 val = val.replace(/[^0-9\.]/g,'');
                 if(val.split('.').length>2) 
                     val =val.replace(/\.+$/,"");
            }
            $(this).val(val); 
        });
    });    
</script>