<?php
extract($_REQUEST);

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();

$pesan = "";
$id_kriteria    = @$_POST['id_kriteria'];
$nm_kriteria    = @$_POST['nm_kriteria'];
$bobot          = @$_POST['bobot'];

if(@$_POST['submit'])
{
    // VALIDASI FORM
    if(empty(trim(@$_POST['id_kriteria']))){
        $pesan .= "ID kriteria wajib diisi!";

    } else if(empty(trim(@$_POST['nm_kriteria']))){
        $pesan .= "Nama kriteria wajib diisi!";

    } else if(empty(trim(@$_POST['bobot']))){
        $pesan .= "Bobot wajib diisi!";

    } else {

        // AMBIL DATA DARI TABEL
        $sql = "SELECT id_kriteria FROM tbl_kriteria WHERE id_kriteria='$id_kriteria'";
                            
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;

        if($total > 0)
        {
            $pesan .= "ID kriteria sudah terdapat didalam sistem!";
        } else {

            $sql = "INSERT INTO tbl_kriteria (id_kriteria, nm_kriteria, bobot) VALUES('$id_kriteria', '$nm_kriteria', '$bobot')";
            $result = $mysqli->query($sql);

            // TAMPILKAN PESAN
            $_SESSION['judul_pesan']    = "Tersimpan!";
            $_SESSION['isi_pesan']      ="Data berhasil disimpan!";

            echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=kriteria'>";
        }
    }
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);

?>
<div class="box" id="about">
    <div class="box-title">
        <h4>Tambah Kriteria <i class="fa fa-plus pull-right"></i></h4>
    </div>
    <div class="box-content">
    	<div class="row">
            <div class="col-md-6">
                <form method="post" action="#">
                    <div class="form-group"><?php echo ($pesan ? '<div class="alert alert-danger">'.$pesan.'</div>' : "");?></div>
                    <div class="form-group">
                        <label>ID Kriteria <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="id_kriteria" class="form-control" placeholder="Masukkan ID kriteria" value="<?php echo $id_kriteria;?>" maxlength="10">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Nama Kriteria <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="nm_kriteria" class="form-control" placeholder="Masukkan nama kriteria" value="<?php echo $nm_kriteria;?>" maxlength="30">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Bobot <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="bobot" class="form-control decimal" placeholder="Masukkan bobot" value="<?php echo $bobot;?>" maxlength="5" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group">
                        <p><strong><small class="text-danger">(*)</small> Wajib Diisi.</strong></p>
                        <hr>

                        <button class="btn btn-primary" type="submit" name="submit" value="submit" title="Simpan">
                            <i class="fa fa-save"></i> Simpan
                        </button>
                        <a href="<?php echo BASE_URL;?>?p=kriteria" title="Batal" class="btn btn-default"><i class="fa fa-reply"></i> Batal</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    $('.decimal').keyup(function(){
        var val = $(this).val();
        if(isNaN(val)){
             val = val.replace(/[^0-9\.]/g,'');
             if(val.split('.').length>2) 
                 val =val.replace(/\.+$/,"");
        }
        $(this).val(val); 
    });
</script>