<?php
//error_reporting(0);
extract($_REQUEST);

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();


// AMBIL DATA KARYAWAN
$sql    = "SELECT id_karyawan, nm_karyawan FROM tbl_karyawan ORDER BY nm_karyawan ASC";
$result = $mysqli->query($sql);
$total  = $result->num_rows;
$karyawan = array();

if($total > 0){
    while($row = $result->fetch_assoc()){
        $karyawan[] = $row;
    }
}

$pesan = "";
$id_karyawan= @$_POST['id_karyawan'];
$tgl_absen  = (@$_POST['tgl_absen']=="" ? '0000-00-00' : dateSql(@$_POST['tgl_absen']));
$jam_masuk  = (@$_POST['jam_masuk']=="" ? '07:00' : @$_POST['jam_masuk']);
$jam_keluar = (@$_POST['jam_keluar']==""? '17:00' : @$_POST['jam_keluar']);

if(@$_POST['submit'])
{
    // VALIDASI FORM
    if(empty(trim(@$_POST['id_karyawan'])))
    {
        $pesan .= "Nama karyawan wajib diisi!";

    } else if(empty(trim(@$_POST['tgl_absen']))){
        $pesan .= "Tanggal absensi wajib diisi!";

    } else if(empty(trim(@$_POST['jam_masuk']))){
        $pesan .= "Jam masuk wajib diisi!";

    } else if(empty(trim(@$_POST['jam_keluar']))){
        $pesan .= "Jam keluar wajib diisi!";

    } else {

        // AMBIL DATA DARI TABEL
        $sql = "SELECT id_karyawan_absensi FROM tbl_karyawan_absensi WHERE id_karyawan='$id_karyawan' AND tgl_absen='$tgl_absen'";
                            
        $result = $mysqli->query($sql);
        $total  = $result->num_rows;

        if($total > 0)
        {
            $pesan .= "Data karyawan dan tanggal absensi sudah terdapat didalam sistem!";
        } else {

            $sql = "INSERT INTO tbl_karyawan_absensi (id_karyawan_absensi, id_karyawan, tgl_absen, jam_masuk, jam_keluar) VALUES('', '$id_karyawan', '$tgl_absen', '$jam_masuk', '$jam_keluar')";
            $result = $mysqli->query($sql);

            // TAMPILKAN PESAN
            $_SESSION['judul_pesan']    = "Tersimpan!";
            $_SESSION['isi_pesan']      ="Data berhasil disimpan!";

            echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=absensi'>";
        }
    }
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);

?>
<div class="box" id="about">
    <div class="box-title">
        <h4>Tambah Absensi <i class="fa fa-plus pull-right"></i></h4>
    </div>
    <div class="box-content">
    	<div class="row">
            <div class="col-md-6">
                <form method="post" action="#">
                    <div class="form-group"><?php echo ($pesan ? '<div class="alert alert-danger">'.$pesan.'</div>' : "");?></div>
                     <div class="form-group">
                        <label>Nama Karyawan <small class="text-danger">*</small></label>
                        <div>
                            <select name="id_karyawan" class="form-control select2">
                                <option value="">- Pilih Karyawan -</option>
                                <?php 
                                foreach($karyawan as $row)
                                {
                                    if($id_karyawan == $row['id_karyawan']){
                                        echo '<option value="'.$row['id_karyawan'].'" selected="selected">'.$row['nm_karyawan'].'</option>';
                                    } else {
                                        echo '<option value="'.$row['id_karyawan'].'">'.$row['nm_karyawan'].'</option>';
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Tanggal Absen <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="tgl_absen" class="form-control tanggal" data-date-format="dd/mm/yyyy" autocomplete="off" placeholder="Masukkan tanggal absen" value="<?php echo ($tgl_absen=="0000-00-00" ? date("d/m/Y") : dateSlash($tgl_absen));?>" maxlength="10">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Jam Masuk <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="jam_masuk" class="form-control timepicker" placeholder="Masukkan jam" value="<?php echo $jam_masuk;?>" maxlength="5" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Jam Keluar <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="jam_keluar" class="form-control timepicker" placeholder="Masukkan jam" value="<?php echo $jam_keluar;?>" maxlength="5" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group">
                        <p><strong><small class="text-danger">(*)</small> Wajib Diisi.</strong></p>
                        <hr>
                        
                        <button class="btn btn-primary" type="submit" name="submit" value="submit" title="Simpan">
                            <i class="fa fa-save"></i> Simpan
                        </button>
                        <a href="<?php echo BASE_URL;?>?p=karyawan-absensi" title="Batal" class="btn btn-default"><i class="fa fa-reply"></i> Batal</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<script>

    $(document).ready(function() {

        $(".select2").select2();

        $('.tanggal').datepicker({
          autoclose: true
        });

        $('.timepicker').timepicker({
            showInputs: false,
            showMeridian: false
        })


        $('.decimal').keyup(function(){
            var val = $(this).val();
            if(isNaN(val)){
                 val = val.replace(/[^0-9\.]/g,'');
                 if(val.split('.').length>2) 
                     val =val.replace(/\.+$/,"");
            }
            $(this).val(val); 
        });
    });    
</script>