<?php
extract($_REQUEST);

if(@$_GET['id'] == "")
{
    echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=karyawan-absensi'>";
    exit();
}

$id = @$_GET['id'];

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();

// AMBIL DATA DARI TABEL
$sql = "SELECT * FROM tbl_karyawan_absensi WHERE id_karyawan_absensi='$id'";
                    
$result = $mysqli->query($sql);
$total  = $result->num_rows;

if($total == 0){
    echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=karyawan-absensi'>";
    exit();
} else {
    $row = $result->fetch_assoc();

    $id_karyawan= $row['id_karyawan'];
    $jam_masuk  = $row['jam_masuk'];
    $jam_keluar = $row['jam_keluar'];
    $tgl_absen  = $row['tgl_absen'];
}

// AMBIL DATA KARYAWAN
$sql    = "SELECT id_karyawan, nm_karyawan FROM tbl_karyawan ORDER BY nm_karyawan ASC";
$result = $mysqli->query($sql);
$total  = $result->num_rows;
$karyawan = array();

if($total > 0){
    while($row = $result->fetch_assoc()){
        $karyawan[] = $row;
    }
}

$pesan = "";


if(@$_POST['submit'])
{
    $id_karyawan= @$_POST['id_karyawan'];
    $tgl_absen  = dateSql(@$_POST['tgl_absen']);    
    $jam_masuk  = @$_POST['jam_masuk'];
    $jam_keluar = @$_POST['jam_keluar'];

    // VALIDASI FORM
    if(empty(trim(@$_POST['tgl_absen']))){
        $pesan .= "Tanggal absensi wajib diisi!";

    } else if(empty(trim(@$_POST['jam_masuk']))){
        $pesan .= "Jam masuk wajib diisi!";

    } else if(empty(trim(@$_POST['jam_keluar']))){
        $pesan .= "Jam keluar wajib diisi!";

    } else {

        $sql = "UPDATE tbl_karyawan_absensi SET tgl_absen='$tgl_absen',jam_masuk='$jam_masuk',jam_keluar='$jam_keluar' WHERE id_karyawan_absensi='$id'";
        $result = $mysqli->query($sql);

        // TAMPILKAN PESAN
        $_SESSION['judul_pesan']    = "Tersimpan!";
        $_SESSION['isi_pesan']      ="Data berhasil disimpan!";

        echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=karyawan-absensi'>";
    }
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);

?>
<div class="box" id="about">
    <div class="box-title">
        <h4>Ubah Absensi <i class="fa fa-plus pull-right"></i></h4>
    </div>
    <div class="box-content">
    	<div class="row">
            <div class="col-md-6">
                <form method="post" action="#">
                    <div class="form-group"><?php echo ($pesan ? '<div class="alert alert-danger">'.$pesan.'</div>' : "");?></div>
                     <div class="form-group">
                        <label>Nama Karyawan <small class="text-danger">*</small></label>
                        <div>
                            
                            <input type="hidden" name="id_karyawan" value="<?php echo $id_karyawan;?>">

                            <select class="form-control select2" disabled="disabled">
                                <option value="">- Pilih Karyawan -</option>
                                <?php 
                                foreach($karyawan as $row)
                                {
                                    if($id_karyawan == $row['id_karyawan']){
                                        echo '<option value="'.$row['id_karyawan'].'" selected="selected">'.$row['nm_karyawan'].'</option>';
                                    } else {
                                        echo '<option value="'.$row['id_karyawan'].'">'.$row['nm_karyawan'].'</option>';
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Tanggal Absen <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="tgl_absen" class="form-control tanggal" data-date-format="dd/mm/yyyy" autocomplete="off" placeholder="Masukkan tanggal absen" value="<?php echo ($tgl_absen=="0000-00-00" ? date("d/m/Y") : dateSlash($tgl_absen));?>" maxlength="10">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Jam Masuk <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="jam_masuk" class="form-control timepicker" placeholder="Masukkan jam" value="<?php echo $jam_masuk;?>" maxlength="5" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Jam Keluar <small class="text-danger">*</small></label>
                        <div>
                            <input type="text" name="jam_keluar" class="form-control timepicker" placeholder="Masukkan jam" value="<?php echo $jam_keluar;?>" maxlength="5" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group">
                        <p><strong><small class="text-danger">(*)</small> Wajib Diisi.</strong></p>
                        <hr>
                        
                        <button class="btn btn-primary" type="submit" name="submit" value="submit" title="Simpan">
                            <i class="fa fa-save"></i> Simpan
                        </button>
                        <a href="<?php echo BASE_URL;?>?p=absensi" title="Batal" class="btn btn-default"><i class="fa fa-reply"></i> Batal</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<script>

    $(document).ready(function() {

        $(".select2").select2();

        $('.tanggal').datepicker({
          autoclose: true
        });

        $('.timepicker').timepicker({
            showInputs: false,
            showMeridian: false
        })


        $('.decimal').keyup(function(){
            var val = $(this).val();
            if(isNaN(val)){
                 val = val.replace(/[^0-9\.]/g,'');
                 if(val.split('.').length>2) 
                     val =val.replace(/\.+$/,"");
            }
            $(this).val(val); 
        });
    });    
</script>