<?php
//error_reporting(0);
extract($_REQUEST);

// INISIALISASI KONEKSI
$db = new database();

// BUKA KONEKSI DATABASE
$mysqli = $db->buka_db();

$array_jawaban  = array();
$current_year   = date("Y");
$id_karyawan    = $_SESSION['spk']['id_karyawan'];

// CEK APAKAH PENGGUNA SUDAH MENGISI KUESIONER HASIL?
$sql        = "SELECT id_kuesioner_hasil FROM tbl_kuesioner_hasil WHERE YEAR(waktu)='$current_year' AND id_karyawan='$id_karyawan'";
$result     = $mysqli->query($sql);
$total_isi  = $result->num_rows;
$total_soal = 0;

// AMBIL DATA SOAL KUESIONER DIRI SENDIRI
$sql            = "SELECT * FROM tbl_kuesioner WHERE jenis='1' ORDER BY id_kuesioner ASC";
$result         = $mysqli->query($sql);
$total          = $result->num_rows;
$total_soal     = $total_soal + $total;
$diri_sendiri   = array();

if($total > 0){
    while($row = $result->fetch_assoc()){
        $diri_sendiri[] = $row;

        $array_nilai['nilai_' . $row['id_kuesioner'] . '_a'] = $row['nilai_a'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_b'] = $row['nilai_b'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_c'] = $row['nilai_c'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_d'] = $row['nilai_d'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_e'] = $row['nilai_e'];
    }
}


// AMBIL DATA SOAL KUESIONER ATASAN
$sql            = "SELECT * FROM tbl_kuesioner WHERE jenis='2' ORDER BY id_kuesioner ASC";
$result         = $mysqli->query($sql);
$total          = $result->num_rows;
$total_soal     = $total_soal + $total;
$atasan         = array();

if($total > 0){
    while($row = $result->fetch_assoc()){
        $atasan[] = $row;

        $array_nilai['nilai_' . $row['id_kuesioner'] . '_a'] = $row['nilai_a'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_b'] = $row['nilai_b'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_c'] = $row['nilai_c'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_d'] = $row['nilai_d'];
        $array_nilai['nilai_' . $row['id_kuesioner'] . '_e'] = $row['nilai_e'];
    }
}


// KETIKA DI SUBMIT
if(@$_POST['submit'])
{
    $id_kuesioner   = @$_POST['id_kuesioner'];
    $hasil          = 0;

    if(!empty($id_kuesioner))
    {
        foreach($id_kuesioner as $id)
        {
            $huruf  = @$_POST['jawaban_' . $id]; // B or C or D or A or E
            $hasil  = $hasil + $array_nilai['nilai_' . $id . '_' . $huruf];
        }

        $waktu = date("Y-m-d H:i:s");
        $hasil = (($hasil/ ($total_soal * 5) ) * 100); // 5 adalah jumlah jawabannya
        $hasil = round($hasil, 2);
        $hasil = ceil($hasil);
        $hasil = $hasil / 100;

        $sql = "INSERT INTO tbl_kuesioner_hasil (id_kuesioner_hasil, id_karyawan, waktu, hasil) VALUES('','$id_karyawan', '$waktu', '$hasil')";
        $result = $mysqli->query($sql);

        // TAMPILKAN PESAN
        $_SESSION['judul_pesan']    = "Tersimpan!";
        $_SESSION['isi_pesan']      ="Data berhasil disimpan!";

        echo "<meta http-equiv='refresh' content='0; url=".BASE_URL."?p=kuesioner-karyawan'>";
        exit();
    }
}

// TUTUP KONEKSI DATABASE
$db->tutup_db($mysqli);
?>
<div class="box" id="about">
    <div class="box-title">
        <h4>Kuesioner <i class="fa fa-list pull-right"></i></h4>
    </div>
    <div class="box-content">
        
        <?php if($total_isi == 0) {?>

            <div>
                <form method="post" action="#" id="some-form">
            	<p>Silahkan Saudara menilai diri sendiri dengan cara memberikan pilihan pada salah satu huruf a, b, c, d atau e.</p>
                <h4>PENILAIAN KARYA UNTUK KARYAWAN PT. KARYA PADUYASA</h4>
                
                <?php 
                $no = 1;
                foreach($diri_sendiri as $row)
                {
                    echo '<div>
                            '.$no .".&nbsp;&nbsp;". $row['soal'].'
                        </div>';
                    echo '<div style="margin-left:15px;">
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="a" required="required">'.$row['jawaban_a'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="b" required="required">'.$row['jawaban_b'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="c" required="required">'.$row['jawaban_c'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="d" required="required">'.$row['jawaban_d'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="e" required="required">'.$row['jawaban_e'].'</label>
                            </div>
                            <input type="hidden" name="id_kuesioner[]" value="'.$row['id_kuesioner'].'">
                        </div>';
                    $no++;
                }
                ?>

                <br>
                <br>
                <p>Silahkan saudara menilai atasan Saudara dengan cara memberikan pilihan pada salah satu huruf a, b, c, d atau e.</p>

                <?php 
                foreach($atasan as $row)
                {
                    echo '<div>
                            '.$no .".&nbsp;&nbsp;". $row['soal'].'
                        </div>';
                    echo '<div style="margin-left:15px;">
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="a" required="required">'.$row['jawaban_a'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="b" required="required">'.$row['jawaban_b'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="c" required="required">'.$row['jawaban_c'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="d" required="required">'.$row['jawaban_d'].'</label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="jawaban_'.$row['id_kuesioner'].'" value="e" required="required">'.$row['jawaban_e'].'</label>
                            </div>
                            <input type="hidden" name="id_kuesioner[]" value="'.$row['id_kuesioner'].'">
                        </div>';
                    $no++;
                }
                ?>

                <div class="text-center">
                    <hr>

                    <button class="btn btn-primary btn-lg" type="submit" name="submit" value="submit" title="Simpan">
                        <i class="fa fa-check"></i> Submit
                    </button>
                </div>
                </form>
            </div>
        <?php } else {?>

            <div class="alert alert-info">
              <strong>Terima kasih!</strong> Anda telah mengisi kuesioner.
            </div>

        <?php } ?>

    </div>
</div>
<script>
    $(document).ready(function(){
        var form = $('#some-form'),
            original = form.serialize()

        form.submit(function(){
            window.onbeforeunload = null
        })

        window.onbeforeunload = function(){
            if (form.serialize() != original)
                return 'Are you sure you want to leave?'
        }

        <?php if(@$_SESSION['judul_pesan']): ?>
        
            swal("<?php echo $_SESSION['judul_pesan'];?>", "<?php echo $_SESSION['isi_pesan'];?>", "success");

        <?php unset($_SESSION['judul_pesan']); unset($_SESSION['isi_pesan']); endif;?>
    })
</script>